OpenNMS API 1.2.9

## org.opennms.web.vulnerability
Class VulnerabilityUtil

    java.lang.Object
      org.opennms.web.vulnerability.VulnerabilityUtil

public abstract class VulnerabilityUtil
extends java.lang.Object

Convenient Java methods and constants for use in the vulnerability user interface.

`VulnerabilityUtil` is a place to put user interface-specific code that is common among many JSPs or servlets.

Field Summary
`protected static java.util.HashMap` `colors`
`static java.lang.String` `FILTER_SERVLET_URL_BASE`
`protected static java.util.HashMap` `icons`
`protected static java.util.HashMap` `labels`
`protected static java.lang.String[]` `LINK_IGNORES`
`protected static java.util.HashMap` `resTypes`
`protected static java.util.List` `severities`
`protected static java.util.HashMap` `sortStyles`

Constructor Summary
`VulnerabilityUtil()`

Method Summary
`static Filter` `getFilter(java.lang.String filterString)`
`static java.lang.String` `getFilterString(Filter filter)`
`static VulnerabilityFactory.ResolutionType` `getResolutionType(java.lang.String resTypeString)`
`static java.lang.String` `getResolutionTypeString(VulnerabilityFactory.ResolutionType resType)`
`static java.lang.String` `getSeverityColor(int severity)`
`static java.lang.String` `getSeverityIcon(int severity)` Can return null, in that case, use no icon.
`static java.lang.String` `getSeverityIcon(java.lang.Integer severity)` Can return null, in that case, use no icon.
`static int` `getSeverityId(int index)`
`static java.lang.String` `getSeverityLabel(int severity)`
`static java.lang.String` `getSeverityLabel(java.lang.Integer severity)`
`static java.util.List` `getSeverityList()`
`static VulnerabilityFactory.SortStyle` `getSortStyle(java.lang.String sortStyleString)`
`static java.lang.String` `getSortStyleString(VulnerabilityFactory.SortStyle sortStyle)`
`static java.lang.String` `makeHiddenTags(javax.servlet.http.HttpServletRequest request, VulnerabilityFactory.SortStyle sortStyle, VulnerabilityFactory.ResolutionType resType, java.util.ArrayList filters, int limit)`
`static java.lang.String` `makeHiddenTags(javax.servlet.http.HttpServletRequest request, VulnerabilityQueryParms parms)`
`static java.lang.String` `makeHiddenTags(javax.servlet.http.HttpServletRequest request, VulnerabilityQueryParms parms, java.util.ArrayList filters)`
`static java.lang.String` `makeHiddenTags(javax.servlet.http.HttpServletRequest request, VulnerabilityQueryParms parms, Filter filter, boolean add)`
`static java.lang.String` `makeHiddenTags(javax.servlet.http.HttpServletRequest request, VulnerabilityQueryParms parms, VulnerabilityFactory.ResolutionType resType)`
`static java.lang.String` `makeHiddenTags(javax.servlet.http.HttpServletRequest request, VulnerabilityQueryParms parms, VulnerabilityFactory.SortStyle sortStyle)`
`static java.lang.String` `makeLink(javax.servlet.http.HttpServletRequest request, VulnerabilityFactory.SortStyle sortStyle, VulnerabilityFactory.ResolutionType resType, java.util.ArrayList filters, int limit)`
`static java.lang.String` `makeLink(javax.servlet.http.HttpServletRequest request, VulnerabilityQueryParms parms)`
`static java.lang.String` `makeLink(javax.servlet.http.HttpServletRequest request, VulnerabilityQueryParms parms, java.util.ArrayList filters)`
`static java.lang.String` `makeLink(javax.servlet.http.HttpServletRequest request, VulnerabilityQueryParms parms, Filter filter, boolean add)`
`static java.lang.String` `makeLink(javax.servlet.http.HttpServletRequest request, VulnerabilityQueryParms parms, VulnerabilityFactory.ResolutionType resType)`
`static java.lang.String` `makeLink(javax.servlet.http.HttpServletRequest request, VulnerabilityQueryParms parms, VulnerabilityFactory.SortStyle sortStyle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### colors

    protected static final java.util.HashMap colors

### labels

    protected static final java.util.HashMap labels

### icons

    protected static final java.util.HashMap icons

### sortStyles

    protected static final java.util.HashMap sortStyles

### resTypes

    protected static final java.util.HashMap resTypes

### severities

    protected static final java.util.List severities

### FILTER_SERVLET_URL_BASE

    public static final java.lang.String FILTER_SERVLET_URL_BASE

See Also:
  Constant Field Values

### LINK_IGNORES

    protected static final java.lang.String[] LINK_IGNORES

Constructor Detail

### VulnerabilityUtil

    public VulnerabilityUtil()

Method Detail

### getSeverityList

    public static java.util.List getSeverityList()

### getSeverityId

    public static int getSeverityId(int index)

### getSeverityColor

    public static java.lang.String getSeverityColor(int severity)

### getSeverityLabel

    public static java.lang.String getSeverityLabel(int severity)

### getSeverityLabel

    public static java.lang.String getSeverityLabel(java.lang.Integer severity)

### getSeverityIcon

    public static java.lang.String getSeverityIcon(int severity)

  Can return null, in that case, use no icon.

### getSeverityIcon

    public static java.lang.String getSeverityIcon(java.lang.Integer severity)

  Can return null, in that case, use no icon.

### getSortStyle

    public static VulnerabilityFactory.SortStyle getSortStyle(java.lang.String sortStyleString)

### getSortStyleString

    public static java.lang.String getSortStyleString(VulnerabilityFactory.SortStyle sortStyle)

### getResolutionType

    public static VulnerabilityFactory.ResolutionType getResolutionType(java.lang.String resTypeString)

### getResolutionTypeString

    public static java.lang.String getResolutionTypeString(VulnerabilityFactory.ResolutionType resType)

### getFilter

    public static Filter getFilter(java.lang.String filterString)

### getFilterString

    public static java.lang.String getFilterString(Filter filter)

### makeLink

    public static java.lang.String makeLink(javax.servlet.http.HttpServletRequest request,
                                            VulnerabilityFactory.SortStyle sortStyle,
                                            VulnerabilityFactory.ResolutionType resType,
                                            java.util.ArrayList filters,
                                            int limit)

### makeLink

    public static java.lang.String makeLink(javax.servlet.http.HttpServletRequest request,
                                            VulnerabilityQueryParms parms)

### makeLink

    public static java.lang.String makeLink(javax.servlet.http.HttpServletRequest request,
                                            VulnerabilityQueryParms parms,
                                            VulnerabilityFactory.SortStyle sortStyle)

### makeLink

    public static java.lang.String makeLink(javax.servlet.http.HttpServletRequest request,
                                            VulnerabilityQueryParms parms,
                                            VulnerabilityFactory.ResolutionType resType)

### makeLink

    public static java.lang.String makeLink(javax.servlet.http.HttpServletRequest request,
                                            VulnerabilityQueryParms parms,
                                            java.util.ArrayList filters)

### makeLink

    public static java.lang.String makeLink(javax.servlet.http.HttpServletRequest request,
                                            VulnerabilityQueryParms parms,
                                            Filter filter,
                                            boolean add)

### makeHiddenTags

    public static java.lang.String makeHiddenTags(javax.servlet.http.HttpServletRequest request,
                                                  VulnerabilityFactory.SortStyle sortStyle,
                                                  VulnerabilityFactory.ResolutionType resType,
                                                  java.util.ArrayList filters,
                                                  int limit)

### makeHiddenTags

    public static java.lang.String makeHiddenTags(javax.servlet.http.HttpServletRequest request,
                                                  VulnerabilityQueryParms parms)

### makeHiddenTags

    public static java.lang.String makeHiddenTags(javax.servlet.http.HttpServletRequest request,
                                                  VulnerabilityQueryParms parms,
                                                  VulnerabilityFactory.SortStyle sortStyle)

### makeHiddenTags

    public static java.lang.String makeHiddenTags(javax.servlet.http.HttpServletRequest request,
                                                  VulnerabilityQueryParms parms,
                                                  VulnerabilityFactory.ResolutionType resType)

### makeHiddenTags

    public static java.lang.String makeHiddenTags(javax.servlet.http.HttpServletRequest request,
                                                  VulnerabilityQueryParms parms,
                                                  java.util.ArrayList filters)

### makeHiddenTags

    public static java.lang.String makeHiddenTags(javax.servlet.http.HttpServletRequest request,
                                                  VulnerabilityQueryParms parms,
                                                  Filter filter,
                                                  boolean add)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.